Summary: The FermiLab Red Hat package management system.
Name: Fermi_rpm
%define version 1.0.0
Version: %{version}
Release: 4
Group: System Environment/Base
Source: /home/qjliu/Fermi_rpm-1.0.0.tar.gz
Copyright: GPL
Conflicts: patch < 2.5
%ifos linux
Prereq: gawk fileutils textutils sh-utils mktemp
%endif
BuildRoot: /var/tmp/rpm-%{version}-root
packager:Qingjun Liu <qjliu@fnal.gov>
vendor: Fermi Lab

%description
        The Red Hat Package Manager (RPM) is a powerful command line 
driven package management system capable of installing, uninstalling,
verifying, querying, and updating software packages.  Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.

        Based on rpm-3.0.2-5.x, the Fermi_rpm-1.0.0-4.0 has all of
the conveniences  rpm-3.0.2-5.x provides. Additionally, it includes a
new feature of saving rpm files according to their architecture in a
directory specified in the rpmrc file. The saving is done in the
installation process and only after a successful installation.  This
is realized by modifying only the lib/install.c, lib/rpmlib.h,
lib/rpmrc.c, and lib/Makefile.in file as well as adding a new file 
lib/rpmsave.c in the source code of rpm-3.0.2-5.x.
        It is very simple to use the new feature.  One just
inputs, in one line,  an entry in the well-known rpmrc file
(usr/lib/rpm/rpmrc, or /etc/rpmrc or ~/.rpmrc).
If you have no such an entry, as in default, then the new feature will
not be applicable.
         The format of the entry is two strings seperated
by a colonm ":", which is contained in one line. for example,
arcRootDir:/lnxarcsvr. The first string is the variable name and
is not changable.  The second one is its value specifying the
directory to save the installed rpm files. The value always points
to a directory and is a absolute path. In default, there is no such
an entry, therefore the new feature will not be used in this case.
        The new feature is completely transparent to all the other
programs, such as Glint and Gnorpm, which calls to the rpmlib,
because it is built into the rpmlib.

%package devel
Summary: Development files for applications which will manipulate RPM packages.
Group: Development/Libraries
Requires: popt

%description devel
This package contains the new RPM C library and header files.  These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib

mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SOURCES
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SPECS
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/SRPMS
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/BUILD
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/RPMS/${RPM_ARCH}
mkdir -p $RPM_BUILD_ROOT/usr/src/redhat/RPMS/noarch

make DESTDIR="$RPM_BUILD_ROOT" install

{ cd $RPM_BUILD_ROOT
  strip ./bin/rpm
  strip ./usr/bin/rpm2cpio
  strip ./usr/lib/rpm/rpmputtext ./usr/lib/rpm/rpmgettext
}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/rpm --initdb
%ifos linux
if [ ! -e /etc/rpm/macros -a -e /etc/rpmrc -a -f /usr/lib/rpm/convertrpmrc.sh ] 
then
	sh /usr/lib/rpm/convertrpmrc.sh 2>&1 > /dev/null
fi
%endif

%files
%defattr(-,root,root)
%doc RPM-PGP-KEY CHANGES GROUPS TODO CHANGESORIG TODOORIG README READMEORIG
%doc docs/*
/bin/rpm
/usr/bin/rpm2cpio
/usr/bin/gendiff
/usr/man/man8/rpm.8
/usr/man/man8/rpm2cpio.8
/usr/lib/rpm
/usr/lib/rpmrc
/usr/lib/rpmpopt
%dir /usr/src/redhat
%dir /usr/src/redhat/BUILD
%dir /usr/src/redhat/SPECS
%dir /usr/src/redhat/SOURCES
%dir /usr/src/redhat/SRPMS
%dir /usr/src/redhat/RPMS
/usr/src/redhat/RPMS/*
/usr/share/locale/*/LC_MESSAGES/rpm.mo
%files devel
%defattr(-,root,root)
/usr/include/rpm
/usr/lib/librpm.a
/usr/lib/librpmbuild.a
